# Aging Report Command

### Aging Report

This command/function helps to Determine which record passwords have NOT been changed in a specific amount of time. This report takes advantage of the advanced reporting capabilities of the Enterprise platform.

<details>

<summary>DotNet CLI</summary>

**coming soon**

</details>

<details>

<summary>DotNet SDK</summary>

Comming Soon

</details>

<details>

<summary>PowerCommander</summary>

**Command:** `Get-KeeperAgingReport`

**Parameter:**

| Parameter         | Description                                                                                                                                                         |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `-Format`         | `table` (default), `json`, or `csv`.                                                                                                                                |
| `-Output`         | File path when json or csv (passed through to shared report output).                                                                                                |
| `-Period`         | Rolling cutoff, e.g. `10d`, `3m`, `1y`. Ignored if `-CutoffDate` is set.                                                                                            |
| `-CutoffDate`     | Fixed cutoff; mutually exclusive with `-Period`.                                                                                                                    |
| `-Username`       | Limit to records owned by this enterprise user email.                                                                                                               |
| `-ExcludeDeleted` | Omit records that are in trash (depends on compliance metadata).                                                                                                    |
| `-InSharedFolder` | Only records that appear in at least one shared folder. When set, output includes Shared Folder Uid (comma-separated UIDs when multiple).                           |
| `-Sort`           | `owner`, `title`, `last_changed` (default), or `shared`. Default sort for `last_changed` is newest password change first; for `shared`, shared first.               |
| `-Rebuild`        | Forces a fresh compliance snapshot and clears in-session aging cache before loading aging events.                                                                   |
| `-NoRebuild`      | Prefer not rebuilding snapshot (follows compliance snapshot rules).                                                                                                 |
| `-NoCache`        | Disables use of compliance snapshot cache behavior as implemented for the session.                                                                                  |
| `-Delete`         | Deletes on-disk compliance cache for this enterprise and clears in-session compliance/aging state, then exits without running the report. Requires enterprise auth. |

**Examples:**

```powershell
PS > Get-KeeperAgingReport -Period 3m

Aging Report: Records With Passwords Last Modified Before 2026-01-13 11:05:33


Owner                             Title                        Password Changed    Shared Record URL
-----                             -----                        ----------------    ------ ----------
test1@example.com                 Service Mode                 07-01-2026 16:58:20  False https://example.com/value/#det… 
test1@example.com                 test contact                 06-01-2026 17:43:05  False https://example.com/value/#det… 
test2@example.com                 test login                   06-01-2026 17:10:17  False https://example.com/value/#det… 
test1@example.com                 Commander Service Mode       06-01-2026 14:55:12  False https://example.com/value/#det… 
test12@example.com                Azure Database               24-12-2025 15:49:34  False https://example.com/value/#det… 
```

</details>

<details>

<summary>Python CLI</summary>

**Command:** `aging-report`

**Alias:** `s`

**Flag:**

`--format` : format of output {table,csv,json,pdf}.\
`--output` : path to resulting output file (ignored for "table" format).\
`-r, --rebuild` : Rebuild record database.\
`--delete` : Delete local database cache containing encrypted compliance record data.\
`-nc, --no-cache` : remove any local non-memory storage of data upon command completion.\
`-s, --sort` : sort output {owner,title,last\_changed,shared}.\
`--period` : Period the password has not been modified. Not valid with --cutoff-date flag.\
`--cutoff-date` : Date since which the password has not been modified. Not valid with --period flag.\
`--username` : Report expired passwords for user.\
`--exclude-deleted` : Exclude deleted records from report.\
`--in-shared-folder` : Limit report to records in shared folders.

**Example:**

```
user1.ramteke@metronlabs.com           test drv                                                                                                                                                                                                                                                                                                                      2025-11-14 16:37:28  False     https://dev.keepersecurity.com/vault/#detail/0mxyRF_XyWzQTAFGhdXzDg                                                                                                                                                                                                                                                                                                       2025-11-14 16:28:00  False     https://dev.keepersecurity.com/vault/#detail/4snOgicay7LF_s8OpKSCjA
user2.kachhwaha@metronlabs.com         Dr. Sarah Johnson                                                                                                                                                                                                                                                                                                             2025-11-14 14:05:58  False     https://dev.keepersecurity.com/vault/#detail/Xya90coExYrkKK6FUHXqzw

```

</details>

<details>

<summary>Python SDK</summary>

**Function:**

```python
def generate_aging_report(
    enterprise_data: enterprise_types.IEnterpriseData,
    auth: keeper_auth.KeeperAuth,
    period_days: int = DEFAULT_PERIOD_DAYS,
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keeper.io/keeperpam/commander-sdk/keeper-commander-sdks/sdk-command-reference/reporting-commands/aging-report-command.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
